Error
A valid request URL is required to generate request examples{
"prompts": [
{
"id": "<string>",
"name": "<string>",
"folder_id": "<string>",
"folder": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prompts_count": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"versions": [
{
"id": 123,
"prompt_id": "<string>",
"version_number": 123,
"commit_message": "<string>",
"model_params": {},
"provider": "<string>",
"model": "<string>",
"is_latest": true,
"created_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"order_index": 123,
"message": {}
}
]
}
],
"sessions": [
{
"id": 123,
"prompt_id": "<string>",
"version_id": 123,
"name": "<string>",
"model_params": {},
"provider": "<string>",
"model": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"order_index": 123,
"message": {}
}
]
}
],
"latest_version": {
"id": 123,
"prompt_id": "<string>",
"version_number": 123,
"commit_message": "<string>",
"model_params": {},
"provider": "<string>",
"model": "<string>",
"is_latest": true,
"created_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"order_index": 123,
"message": {}
}
]
}
}
]
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}Prompt Repository
List prompts
Returns all prompts, optionally filtered by folder.
GET
/
api
/
prompt-repo
/
prompts
Error
A valid request URL is required to generate request examples{
"prompts": [
{
"id": "<string>",
"name": "<string>",
"folder_id": "<string>",
"folder": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prompts_count": 123
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"versions": [
{
"id": 123,
"prompt_id": "<string>",
"version_number": 123,
"commit_message": "<string>",
"model_params": {},
"provider": "<string>",
"model": "<string>",
"is_latest": true,
"created_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"order_index": 123,
"message": {}
}
]
}
],
"sessions": [
{
"id": 123,
"prompt_id": "<string>",
"version_id": 123,
"name": "<string>",
"model_params": {},
"provider": "<string>",
"model": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"order_index": 123,
"message": {}
}
]
}
],
"latest_version": {
"id": 123,
"prompt_id": "<string>",
"version_number": 123,
"commit_message": "<string>",
"model_params": {},
"provider": "<string>",
"model": "<string>",
"is_latest": true,
"created_at": "2023-11-07T05:31:56Z",
"messages": [
{
"id": 123,
"order_index": 123,
"message": {}
}
]
}
}
]
}{
"event_id": "<string>",
"type": "<string>",
"is_bifrost_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"model_requested": "<string>",
"request_type": "<string>"
}
}Authorizations
Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>.
Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.
Query Parameters
Filter by folder ID
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

